imgurr [![Gem Version](https://badge.fury.io/rb/imgurr.svg)](http://badge.fury.io/rb/imgurr)
=======
Command line utility for Imgur in Ruby. Imgurr lets you quickly upload images, get info about an image and delete your own images from Imgur.

## Install
    gem install imgurr

## Usage

![](http://i.imgur.com/rGoGCNb.png)
#### Examples
    $ imgurr capture
    Uploading screenshot...
    Copied http://i.imgur.com/rGoGCNb.png to clipboard

    $ imgurr upload image.gif
    Copied http://i.imgur.com/PLWGJlc.gif to clipboard

    $ imgurr upload image.jpg --markdown
    Copied ![Screenshot](http://i.imgur.com/PLWGJlc.gif) to clipboard

    $ imgurr info 2KxrTAK
        Image ID   : 2KxrTAK
        Views      : 14717
        Bandwidth  : 2.296 GiB
        Title      : None
        Desc       : None
        Animated   : false
        Width      : 960 px
        Height     : 540 px
        Link       : http://i.imgur.com/2KxrTAK.jpg

    $ imgurr delete http://i.imgur.com/2KxrTAK.jpg
    Successfully deleted image from Imgur

    ./imgurr --help for more.

## How it works
Imgurr stores the delete hash generated by Imgur locally when uploading an image using imgurr. Most of the time the delete hash gets lost if you don't have an account and you want to takedown an image you have to contact Imgur support which can take a while. With imgurr all your delete hashes are saved so you can delete your images later if needed.


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

Don't forget to add a test for any new feature.
